evhtp_hooks_t Struct Reference

`#include <evhtp.h>`

## Data Fields

evhtp_hook_headers_start_cb | on_headers_start
evhtp_hook_header_cb | on_header
evhtp_hook_headers_cb | on_headers
evhtp_hook_path_cb | on_path
evhtp_hook_read_cb | on_read
evhtp_hook_request_fini_cb | on_request_fini
evhtp_hook_connection_fini_cb | on_connection_fini
evhtp_hook_conn_err_cb | on_connection_error
evhtp_hook_err_cb | on_error
evhtp_hook_chunk_new_cb | on_new_chunk
evhtp_hook_chunk_fini_cb | on_chunk_fini
evhtp_hook_chunks_fini_cb | on_chunks_fini
evhtp_hook_hostname_cb | on_hostname
evhtp_hook_write_cb | on_write
evhtp_hook_event_cb | on_event
void * | on_headers_start_arg
void * | on_header_arg
void * | on_headers_arg
void * | on_path_arg
void * | on_read_arg
void * | on_request_fini_arg
void * | on_connection_fini_arg
void * | on_connection_error_arg
void * | on_error_arg
void * | on_new_chunk_arg
void * | on_chunk_fini_arg
void * | on_chunks_fini_arg
void * | on_hostname_arg
void * | on_write_arg
void * | on_event_arg

## Detailed Description

Definition at line 466 of file evhtp/evhtp.h.

## Field Documentation

## on_chunk_fini

evhtp_hook_chunk_fini_cb evhtp_hooks_t::on_chunk_fini

Definition at line 477 of file evhtp/evhtp.h.

## on_chunk_fini_arg

void* evhtp_hooks_t::on_chunk_fini_arg

Definition at line 493 of file evhtp/evhtp.h.

## on_chunks_fini

evhtp_hook_chunks_fini_cb evhtp_hooks_t::on_chunks_fini

Definition at line 478 of file evhtp/evhtp.h.

## on_chunks_fini_arg

void* evhtp_hooks_t::on_chunks_fini_arg

Definition at line 494 of file evhtp/evhtp.h.

## on_connection_error

evhtp_hook_conn_err_cb evhtp_hooks_t::on_connection_error

Definition at line 474 of file evhtp/evhtp.h.

## on_connection_error_arg

void* evhtp_hooks_t::on_connection_error_arg

Definition at line 490 of file evhtp/evhtp.h.

## on_connection_fini

evhtp_hook_connection_fini_cb evhtp_hooks_t::on_connection_fini

Definition at line 473 of file evhtp/evhtp.h.

## on_connection_fini_arg

void* evhtp_hooks_t::on_connection_fini_arg

Definition at line 489 of file evhtp/evhtp.h.

## on_error

evhtp_hook_err_cb evhtp_hooks_t::on_error

Definition at line 475 of file evhtp/evhtp.h.

## on_error_arg

void* evhtp_hooks_t::on_error_arg

Definition at line 491 of file evhtp/evhtp.h.

## on_event

evhtp_hook_event_cb evhtp_hooks_t::on_event

Definition at line 481 of file evhtp/evhtp.h.

## on_event_arg

void* evhtp_hooks_t::on_event_arg

Definition at line 497 of file evhtp/evhtp.h.

## on_header

evhtp_hook_header_cb evhtp_hooks_t::on_header

Definition at line 468 of file evhtp/evhtp.h.

## on_header_arg

void* evhtp_hooks_t::on_header_arg

Definition at line 484 of file evhtp/evhtp.h.

## on_headers

evhtp_hook_headers_cb evhtp_hooks_t::on_headers

Definition at line 469 of file evhtp/evhtp.h.

## on_headers_arg

void* evhtp_hooks_t::on_headers_arg

Definition at line 485 of file evhtp/evhtp.h.

## on_headers_start

evhtp_hook_headers_start_cb evhtp_hooks_t::on_headers_start

Definition at line 467 of file evhtp/evhtp.h.

## on_headers_start_arg

void* evhtp_hooks_t::on_headers_start_arg

Definition at line 483 of file evhtp/evhtp.h.

## on_hostname

evhtp_hook_hostname_cb evhtp_hooks_t::on_hostname

Definition at line 479 of file evhtp/evhtp.h.

## on_hostname_arg

void* evhtp_hooks_t::on_hostname_arg

Definition at line 495 of file evhtp/evhtp.h.

## on_new_chunk

evhtp_hook_chunk_new_cb evhtp_hooks_t::on_new_chunk

Definition at line 476 of file evhtp/evhtp.h.

## on_new_chunk_arg

void* evhtp_hooks_t::on_new_chunk_arg

Definition at line 492 of file evhtp/evhtp.h.

## on_path

evhtp_hook_path_cb evhtp_hooks_t::on_path

Definition at line 470 of file evhtp/evhtp.h.

## on_path_arg

void* evhtp_hooks_t::on_path_arg

Definition at line 486 of file evhtp/evhtp.h.

## on_read

evhtp_hook_read_cb evhtp_hooks_t::on_read

Definition at line 471 of file evhtp/evhtp.h.

## on_read_arg

void* evhtp_hooks_t::on_read_arg

Definition at line 487 of file evhtp/evhtp.h.

## on_request_fini

evhtp_hook_request_fini_cb evhtp_hooks_t::on_request_fini

Definition at line 472 of file evhtp/evhtp.h.

## on_request_fini_arg

void* evhtp_hooks_t::on_request_fini_arg

Definition at line 488 of file evhtp/evhtp.h.

## on_write

evhtp_hook_write_cb evhtp_hooks_t::on_write

Definition at line 480 of file evhtp/evhtp.h.

## on_write_arg

void* evhtp_hooks_t::on_write_arg

Definition at line 496 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h